import * as z from 'zod';
export const CommissionBatchFindUniqueResultSchema = z.nullable(z.object({
  id: z.number().int(),
  npiProviderId: z.number().int(),
  totalCollection: z.number(),
  commissionAmount: z.number(),
  notes: z.string().optional(),
  createdAt: z.date(),
  npiProvider: z.unknown(),
  items: z.array(z.unknown())
}));